import java.util.HashMap;
import com.decontextualize.a2z.TextFilter;

public class ConcordanceFilter extends TextFilter {

  public static void main(String[] args) {
    ConcordanceFilter cf = new ConcordanceFilter();
    cf.setSearchWord(args[0]);
    cf.run();
  }

  private Concordance concord = new Concordance();
  private String searchWord;

  public void setSearchWord(String searchWord_) {
    searchWord = searchWord_;
  }

  public void eachLine(String line) {
    concord.feedLine(line);
  }

  public void end() {
    if (concord.containsWord(searchWord)) {
      WordContext w = concord.getWord(searchWord);
      for (String context: w.getContexts()) {
        println(context);
      }
    }
  }

}
