String[] lines;
PFont font;

void setup() {
  size(500, 500);
  font = createFont("Arial", 72);
  lines = new WordCount().collectLines(createReader("genesis.txt"));
}

void draw() {
  background(255);
  textFont(font);
  fill(0);
  for (int i = 0; i < lines.length; i++) {
    String[] tmp = split(lines[i], ":");
    String word = tmp[0];
    int count = int(tmp[1]);
    textSize(5 + (count * 1.5));
    text(word, random(width), random(height));
  }
  noLoop();
}

void mousePressed() {
  redraw();
}
